package com.tzld.longarticle.recommend.server.service.rank;


import com.tzld.longarticle.recommend.server.model.Content;
import com.tzld.longarticle.recommend.server.service.score.ScoreParam;
import com.tzld.longarticle.recommend.server.service.score.ScoreResult;
import com.tzld.longarticle.recommend.server.service.score.ScoreService;
import com.tzld.longarticle.recommend.server.util.CommonCollectionUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * @author dyp
 */
@Service
@Slf4j
public class RankService {

    @Autowired
    private ScoreService scoreService;

    public RankResult rank(RankParam param) {

        ScoreResult result = scoreService.score(convertToScoreParam(param));


        Collections.sort(items, (o1, o2) -> Double.compare(o2.getScore(), o1.getScore()));
        List<Content> contents = CommonCollectionUtils.toList(items, RankItem::getContent);

        return new RankResult(contents);
    }

    private ScoreParam convertToScoreParam(RankParam param) {
        return null;
    }

}
